
execute as @a[tag=player] at @s run playsound minecraft:ui.button.click master @s ~ ~ ~ 0.5

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=0}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 0-","color":"white"},{"score":{"name":"@s","objective":"stageLevel"},"color":"white"},{"text":": The tutorial","color":"white"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=0}] run tellraw @a {"text":"Get over the brick wall.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=1..3}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 1-","color":"green"},{"score":{"name":"@s","objective":"stageLevel"},"color":"green"},{"text":": The overworld","color":"green"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=1}] run tellraw @a {"text":"Craft a wooden axe.\n","color":"white"}
execute as @a[scores={level=2}] run tellraw @a {"text":"Craft a cartography table.\n","color":"white"}
execute as @a[scores={level=3}] run tellraw @a {"text":"Climb on top of the tree.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=4..6}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 2-","color":"green"},{"score":{"name":"@s","objective":"stageLevel"},"color":"green"},{"text":": Farm","color":"green"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=4}] run tellraw @a {"text":"Clear the farm from rooted dirt and gaps.\n","color":"white"}
execute as @a[scores={level=5}] run tellraw @a {"text":"Craft a bread.\n","color":"white"}
execute as @a[scores={level=6}] run tellraw @a {"text":"Climb on top of the wooden chimney.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=7..9}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 3-","color":"green"},{"score":{"name":"@s","objective":"stageLevel"},"color":"green"},{"text":": Cave","color":"green"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=7}] run tellraw @a {"text":"Craft an iron pickaxe.\n","color":"white"}
execute as @a[scores={level=8}] run tellraw @a {"text":"Craft a crossbow.\n","color":"white"}
execute as @a[scores={level=9}] run tellraw @a {"text":"Climb back on top.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=10..12}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 4-","color":"gray"},{"score":{"name":"@s","objective":"stageLevel"},"color":"gray"},{"text":": Mine","color":"gray"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=10}] run tellraw @a {"text":"Craft a diamond pickaxe.\n","color":"white"}
execute as @a[scores={level=11}] run tellraw @a {"text":"Craft an enchanting table.\n","color":"white"}
execute as @a[scores={level=12}] run tellraw @a {"text":"Deliver the minecart with chest on top of\n the glass block without breaking it.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=13..15}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 5-","color":"gray"},{"score":{"name":"@s","objective":"stageLevel"},"color":"gray"},{"text":": Deep cave","color":"gray"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=13}] run tellraw @a {"text":"Craft a diamond chestplate.\n","color":"white"}
execute as @a[scores={level=14}] run tellraw @a {"text":"Craft a spyglass.\n","color":"white"}
execute as @a[scores={level=15}] run tellraw @a {"text":"Surround the green stained glass with moss blocks (3x3x1 area).\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=16..18}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 6-","color":"gray"},{"score":{"name":"@s","objective":"stageLevel"},"color":"gray"},{"text":": Treasure mine","color":"gray"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=16}] run tellraw @a {"text":"Step in a nether portal.\n","color":"white"}
execute as @a[scores={level=17}] run tellraw @a {"text":"Craft a golden apple.\n","color":"white"}
execute as @a[scores={level=18}] run tellraw @a {"text":"Lit all three redstone lamps at once.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=19..21}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 7-","color":"red"},{"score":{"name":"@s","objective":"stageLevel"},"color":"red"},{"text":": Nether","color":"red"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=19}] run tellraw @a {"text":"Craft a netherite ingot.\n","color":"white"}
execute as @a[scores={level=20}] run tellraw @a {"text":"Craft a redstone lamp.\n","color":"white"}
execute as @a[scores={level=21}] run tellraw @a {"text":"Visit every island.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=22..24}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 8-","color":"red"},{"score":{"name":"@s","objective":"stageLevel"},"color":"red"},{"text":": Bastion","color":"red"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=22}] run tellraw @a {"text":"Collect all 6 gold blocks.\n","color":"white"}
execute as @a[scores={level=23}] run tellraw @a {"text":"Craft two types of rails.\n","color":"white"}
execute as @a[scores={level=24}] run tellraw @a {"text":"Climb on top the structure.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=25..27}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 9-","color":"red"},{"score":{"name":"@s","objective":"stageLevel"},"color":"red"},{"text":": Fortress","color":"red"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=25}] run tellraw @a {"text":"Craft a netherite sword.\n","color":"white"}
execute as @a[scores={level=26}] run tellraw @a {"text":"Craft a respawn anchor.\n","color":"white"}
execute as @a[scores={level=27}] run tellraw @a {"text":"Climb on top of the highest fence.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=28..30}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 10-","color":"dark_gray"},{"score":{"name":"@s","objective":"stageLevel"},"color":"dark_gray"},{"text":": Stronghold","color":"dark_gray"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=28}] run tellraw @a {"text":"Bring an eye of ender to end portal frames.\n","color":"white"}
execute as @a[scores={level=29}] run tellraw @a {"text":"Place a lime wool on top of the lime glass.\n","color":"white"}
execute as @a[scores={level=30}] run tellraw @a {"text":"Flood three caves with water.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=31..33}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 11-","color":"dark_gray"},{"score":{"name":"@s","objective":"stageLevel"},"color":"dark_gray"},{"text":": The End","color":"dark_gray"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=31}] run tellraw @a {"text":"Collect all 4 end crystals.\n","color":"white"}
execute as @a[scores={level=32}] run tellraw @a {"text":"Obtain the dragon egg.\n","color":"white"}
execute as @a[scores={level=33}] run tellraw @a {"text":"Climb on top of the both pillars.\n","color":"white"}

execute as @e[tag=level] if score @s level = @a[tag=player,limit=1] level if entity @a[scores={level=34..36}] run tellraw @a [{"text":"\n\n"},{"text":"Stage 12-","color":"dark_gray"},{"score":{"name":"@s","objective":"stageLevel"},"color":"dark_gray"},{"text":": End city","color":"dark_gray"},{"text":"\n\n"},{"text":"Objective:","color":"gold"}]
execute as @a[scores={level=34}] run tellraw @a {"text":"Collect all 5 diamond blocks.\n","color":"white"}
execute as @a[scores={level=35}] run tellraw @a {"text":"Craft a beacon.\n","color":"white"}
execute as @a[scores={level=36}] run tellraw @a {"text":"Climb on the ship without entering the city.\n","color":"white"}
